com.jgoodies.forms.debug

## Class FormDebugUtils

- java.lang.Object
- - com.jgoodies.forms.debug.FormDebugUtils

-     public final class FormDebugUtils
      extends Object

  Provides static methods that help you understand and fix layout problems when using the `FormLayout`. Dumps information about the layout grid, layout groups and cell constraints to the console.

  Implicit values are mapped to concrete. For example, implicit alignments in column and row specifications will be visible. And cell constraint alignments that use or override the column and row defaults are visible too.

       ColumnSpec("p")   -> ColumnSpec("fill:pref:0");
       ColumnSpec("p:1") -> ColumnSpec("fill:pref:1");

       RowSpec("p")      -> RowSpec("center:pref:0");
       RowSpec("p:1")    -> RowSpec("center:pref:1");

  Version:
    $Revision: 1.10 $
  Author:
    Karsten Lentzsch
  See Also:
    `FormDebugPanel`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dumpAll(Container container)` Dumps all layout state to the console: column and row specifications, column and row groups, grid bounds and cell constraints.
    `static void` | `dumpColumnGroups(FormLayout layout)` Dumps the layout's column groups to the console.
    `static void` | `dumpColumnSpecs(FormLayout layout)` Dumps the layout's column specifications to the console.
    `static void` | `dumpConstraints(Container container)` Dumps the component constraints to the console.
    `static void` | `dumpGridBounds(Container container)` Dumps the container's grid info to the console if and only if the container's layout is a `FormLayout`.
    `static void` | `dumpGridBounds(FormLayout.LayoutInfo layoutInfo)` Dumps the grid layout info to the console.
    `static void` | `dumpRowGroups(FormLayout layout)` Dumps the layout's row groups to the console.
    `static void` | `dumpRowSpecs(FormLayout layout)` Dumps the layout's row specifications to the console.
    `static FormLayout.LayoutInfo` | `getLayoutInfo(Container container)` Computes and returns the layout's grid origins.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### dumpAll

          public static void dumpAll(Container container)

      Dumps all layout state to the console: column and row specifications, column and row groups, grid bounds and cell constraints.
      Parameters:
        `container` - the layout container

    - #### dumpColumnSpecs

          public static void dumpColumnSpecs(FormLayout layout)

      Dumps the layout's column specifications to the console.
      Parameters:
        `layout` - the `FormLayout` to inspect

    - #### dumpRowSpecs

          public static void dumpRowSpecs(FormLayout layout)

      Dumps the layout's row specifications to the console.
      Parameters:
        `layout` - the `FormLayout` to inspect

    - #### dumpColumnGroups

          public static void dumpColumnGroups(FormLayout layout)

      Dumps the layout's column groups to the console.
      Parameters:
        `layout` - the `FormLayout` to inspect

    - #### dumpRowGroups

          public static void dumpRowGroups(FormLayout layout)

      Dumps the layout's row groups to the console.
      Parameters:
        `layout` - the `FormLayout` to inspect

    - #### dumpGridBounds

          public static void dumpGridBounds(Container container)

      Dumps the container's grid info to the console if and only if the container's layout is a `FormLayout`.
      Parameters:
        `container` - the container to inspect
      Throws:
        `IllegalArgumentException` - if the layout is not FormLayout

    - #### dumpGridBounds

          public static void dumpGridBounds(FormLayout.LayoutInfo layoutInfo)

      Dumps the grid layout info to the console.
      Parameters:
        `layoutInfo` - provides the column and row origins

    - #### dumpConstraints

          public static void dumpConstraints(Container container)

      Dumps the component constraints to the console.
      Parameters:
        `container` - the layout container to inspect

    - #### getLayoutInfo

          public static FormLayout.LayoutInfo getLayoutInfo(Container container)

      Computes and returns the layout's grid origins.
      Parameters:
        `container` - the layout container to inspect
      Returns:
        an object that comprises the cell origins and extents
      Throws:
        `NullPointerException` - if `container` is `NullPointerException`
        `IllegalArgumentException` - if `container`'s layout is not FormLayout

Copyright © 2002-2014 JGoodies Software GmbH. All Rights Reserved.